local cv_cooplives = CV_FindVar("cooplives")

-- Lives.lua
CHUD.DrawLives = function(v, p)
    local patch = v.getSprite2Patch(p.mo.skin, SPR2_LIFE)
    local f = V_SNAPTORIGHT|V_SNAPTOTOP
    local colormap = v.getColormap(p.mo.skin, p.mo.color)
    local target = 16
    local scale = FixedDiv(FRACUNIT*target, max(patch.width, patch.height)*FRACUNIT)
    local fadefactor = -CHUD.width - CHUD.rightofs
    local x = 320 + (-fadefactor + FixedMul(fadefactor*FRACUNIT, CHUD.fade)/FRACUNIT) - target/4*3
    local y = CHUD.topofs + target/4*3
    v.drawScaled(x*FRACUNIT, y*FRACUNIT, scale, patch, f, colormap)
    x = $ - 16
    if p.lives == INFLIVES or ((cv_cooplives.value == 0 or cv_cooplives.string == "Infinite") and G_GametypeUsesCoopLives()) then return end
    y = CHUD.topofs + (target - 12)
    v.drawString(x, y, tostring(p.lives), f, "right")
    local patch = v.cachePatch("STLIVEX")
    v.draw(x, y + 2, patch, f)
end
